svn::ContextListener::SslServerTrustData Struct Reference

`#include <context_listener.hpp>`

## Public Member Functions

| SslServerTrustData (const apr_uint32_t failures_=0)
| SslServerTrustData (const SslServerTrustData &src)
SslServerTrustData & | operator= (const SslServerTrustData &src)

## Data Fields

apr_uint32_t | failures
std::string | hostname
std::string | fingerprint
std::string | validFrom
std::string | validUntil
std::string | issuerDName
std::string | realm
bool | maySave

## Detailed Description

See also
  contextSslServerTrust
  svn_auth_cred_ssl_server_trust_t

## Constructor & Destructor Documentation

svn::ContextListener::SslServerTrustData::SslServerTrustData | ( | const apr_uint32_t | failures_ = `0` | ) |

inline

svn::ContextListener::SslServerTrustData::SslServerTrustData | ( | const SslServerTrustData & | src | ) |

inline

References fingerprint, hostname, issuerDName, maySave, realm, validFrom, and validUntil.

## Member Function Documentation

SslServerTrustData& svn::ContextListener::SslServerTrustData::operator= | ( | const SslServerTrustData & | src | ) |

inline

References svn::ContextListener::contextSslClientCertPrompt(), svn::ContextListener::contextSslClientCertPwPrompt(), svn::ContextListener::contextSslServerTrustPrompt(), failures, fingerprint, hostname, issuerDName, maySave, realm, validFrom, and validUntil.

## Field Documentation

apr_uint32_t svn::ContextListener::SslServerTrustData::failures

bit coded failures

Referenced by operator=().

std::string svn::ContextListener::SslServerTrustData::fingerprint

Referenced by operator=(), and SslServerTrustData().

std::string svn::ContextListener::SslServerTrustData::hostname

certificate information

Referenced by operator=(), and SslServerTrustData().

std::string svn::ContextListener::SslServerTrustData::issuerDName

Referenced by operator=(), and SslServerTrustData().

bool svn::ContextListener::SslServerTrustData::maySave

Referenced by operator=(), and SslServerTrustData().

std::string svn::ContextListener::SslServerTrustData::realm

Referenced by operator=(), and SslServerTrustData().

std::string svn::ContextListener::SslServerTrustData::validFrom

Referenced by operator=(), and SslServerTrustData().

std::string svn::ContextListener::SslServerTrustData::validUntil

Referenced by operator=(), and SslServerTrustData().

The documentation for this struct was generated from the following file:

- context_listener.hpp